part of tecfy_basic_package;

class TecfyHeader extends StatelessWidget {
  final TecfyHeaderType type;
  final double? scale;
  final Widget child;
  final bool? floating;
  final bool? pinned;
  final Widget? shrinkChild;
  TecfyHeader.feedIn({
    Key? key,
    required this.child,
    this.floating,
    this.pinned,
  })  : type = TecfyHeaderType.feedIn,
        scale = null,
        shrinkChild = null,
        super(key: key);
  TecfyHeader.feedOut({
    Key? key,
    required this.child,
    this.floating,
    this.pinned,
  })  : type = TecfyHeaderType.feedOut,
        scale = null,
        shrinkChild = null,
        super(key: key);
  TecfyHeader.transform({
    Key? key,
    required this.child,
    required this.shrinkChild,
    this.floating,
    this.pinned,
  })  : type = TecfyHeaderType.transform,
        scale = null,
        super(key: key);
  TecfyHeader.scale({
    Key? key,
    required this.scale,
    required this.child,
    this.floating,
    this.pinned,
    this.shrinkChild,
  })  : type = TecfyHeaderType.scale,
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}

enum TecfyHeaderType { fixed, feedOut, feedIn, transition, scale, transform }

class TecfyBasePage extends StatelessWidget {
  final List<TecfyHeader> headers;
  final List<Widget>? children;
  final Widget Function()? childrenBuilder;
  final int? childrenCount;

  const TecfyBasePage({
    Key? key,
    required this.headers,
    this.children,
    this.childrenBuilder,
    this.childrenCount,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
